Skip to main content
GET
/
connection
/
company
/
{company_id}
/
link
Create Magic Link for Creating a Utility Account Connection
curl --request GET \
  --url https://external.nectarclimate.com/v2/connection/company/{company_id}/link \
  --header 'X-API-KEY: <api-key>'
{
  "companyMagicLinkSecret": "<string>",
  "publicCompanyId": "<string>",
  "magicLinkUrl": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

company_id
string<uuid>
required

Private ID of the company for which to generate the magic link.

Response

Serializer for body fields for company magic link creation.

Secret key used for magic link validation for company-level magic links.

publicCompanyId
string
required

Public exposed ID of the company requesting the magic link. This ID may be exposed to unauthenticated users when displaying the magic link, so a seprate ID is used.

URL to magic link for creating the connection.